



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>js parseInt</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">js parseInt</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-21 01:37:31 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>语法：</p>
<div>
<pre class="prettyprint linenums">parseInt(string, radix);</pre>
</div>
<dl>
<dt><code>string</code></dt>
<dd>要被解析的值。如果参数不是一个字符串，则将其转换为字符串(使用 &nbsp;<code><a href="http://www.ecma-international.org/ecma-262/6.0/#sec-tostring" rel="external nofollow noreferrer">ToString</a>&nbsp;</code>抽象操作)。字符串开头的空白符将会被忽略。</dd>
</dl>
<dl>
<dt><code>radix</code></dt>
<dd>一个介于2和36之间的整数(数学系统的基础)，表示上述字符串的<strong>基数</strong>。比如参数"10"表示使用我们通常使用的十进制数值系统。<strong>始终指定此参数</strong>可以消除阅读该代码时的困惑并且保证转换结果可预测。当未指定基数时，不同的实现会产生不同的结果，通常将值默认为<strong>10</strong>。</dd>
</dl>
<p>返回值</p>
<div>
<pre class="prettyprint linenums">返回解析后的整数值。 如果被解析参数的第一个字符无法被转化成数值类型，则返回 NaN。</pre>
</div>
<p>例子：</p>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1011634/201904/1011634-20190420021126331-412511341.png" /></p>
<p>例子：</p>
<p>以下例子均返回<code>15</code></p>
<div>
<pre class="prettyprint linenums">parseInt("0xF", );<br />
parseInt("F", );<br />
parseInt("", );<br />
parseInt(, );<br />
parseInt("", );<br />parseInt(015, 10);<br />
parseInt(15.99, );<br />
parseInt("15,123", );<br />
parseInt("FXX123", );<br />
parseInt("", );<br />
parseInt("15 * 3", );<br />
parseInt("15e2", );<br />
parseInt("15px", );<br />
parseInt("", );</pre>
</div>
<p>以下例子均返回&nbsp;<code>NaN</code></p>
<div>
<pre class="prettyprint linenums">parseInt("Hello", ); // 根本就不是数值<br />
parseInt("", );   // 除了&ldquo;0、1&rdquo;外，其它数字都不是有效二进制数字</pre>
</div>
<p>以下例子均返回&nbsp;<code>-15</code></p>
<div>
<pre class="prettyprint linenums">parseInt("-F", );<br />
parseInt("-0F", );<br />
parseInt("-0XF", );<br />
parseInt(-15.1, );<br />
parseInt(" -17", );<br />
parseInt(" -15", );<br />
parseInt("-1111", );<br />
parseInt("-15e1", );<br />
parseInt("-12", );</pre>
</div>
<p>下例中全部返回&nbsp;<code>4</code></p>
<div>
<pre class="prettyprint linenums">parseInt(4.7, );<br />
parseInt(4.7 * 1e22, ); // 非常大的数值变成 4<br />
parseInt(0.00000000000434, ); // 非常小的数值变成 4</pre>
</div>
<p>下面的例子返回&nbsp;<code>224</code></p>
<div>
<pre class="prettyprint linenums">parseInt("0e0",);</pre>
</div>
<h2>一个更严格的解析函数</h2>
<div>
<pre class="prettyprint linenums">filterInt = function (value) {<br />
  if(/^(\-|\+)?([-]+|Infinity)$/.test(value))<br />
    return Number(value);<br />
  return NaN;<br />
}

console.log(filterInt(''));               //<br />
console.log(filterInt('-421'));              // -421<br />
console.log(filterInt('+421'));              //<br />
console.log(filterInt('Infinity'));          // Infinity<br />
console.log(filterInt('421e+0'));            // NaN<br />
console.log(filterInt('421hop'));            // NaN<br />
console.log(filterInt('hop1.61803398875'));  // NaN<br />
console.log(filterInt('1.61803398875'));     // NaN</pre>
</div>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/495x1ev8.html">Android Studio更新升级方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1vdz4q.html">MSSQL复制中的发布与订阅</a>
		</li>
						<li><a href="https://www.batexi.com/a/qvv3nvxq.html">（Android Studio）添加文本框</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgz6ee8.html">CKEditor和CKFinder整合实现上传下载功能</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jljzx8.html">Leetcode&lowbar;110&lowbar;Balanced Binary Tree</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyyy7jdq.html">Perl：undef类型和defined&lpar;&rpar;函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o14y6eq.html">转：RowVersion 用法</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m2rdjoq.html">docker镜像加速器</a>
		</li>
						<li><a href="https://www.batexi.com/a/9j1k3rl9.html">golang简单实现jwt验证&lpar;beego、xorm、jwt&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwlewjl9.html">python之模块csv之 读取CSV文件&lpar;reader和DictReader2个方法&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qve41dy9.html">django无法加载样式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwl6rpl9.html">bash中的浮点数处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlook21q.html">BZOJ 1010 玩具装箱&lpar;斜率优化DP&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy2gp0m9.html">SpringMVC&mdash;&mdash;异常处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/8e02nvkq.html">DSP6455的cmd文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jnev0l8.html">python中的get函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ovvdpeq.html">Meteor计时器</a>
		</li>
						<li><a href="https://www.batexi.com/a/qw505zrq.html">group by 和 聚合函数的使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/9ry76wr8.html">bzoj3545</a>
		</li>
						<li><a href="https://www.batexi.com/a/qw5e4wrq.html">SpringBoot进阶教程 &vert; 第四篇：整合Mybatis实现多数据源</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/qxdyoz09.html">Oracle课程档案，第五天</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjgdk79.html">linux--- python3环境部署篇</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2532gxq.html">用java代码解决excel打开csv文件乱码问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/9pwgg3z8.html">mysql-proxy 简介</a>
			</li>
						<li><a href="https://www.batexi.com/a/8zy361v9.html">angular--获取时间方法services</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2kxnrq.html">ORACLE中关于使用between在MyBatis中取不同的区间值和取反</a>
			</li>
						<li><a href="https://www.batexi.com/a/8m2kxgpq.html">python list的函数</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjgkw79.html">Servlet Analysis</a>
			</li>
						<li><a href="https://www.batexi.com/a/qxdyx0d9.html">POJ 1986 Distance Queries&lpar;LCA Tarjan法&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gjgknl9.html">mysql----------mysql5&period;7&period;11导入sql文件时报错This function has none of DETERMINISTIC&comma; NO SQL&comma; or READS SQL DATA in its declaration and binary logging is enabled</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
